Bug 468101 - Chesse refresh issues and Frame Overrun Messages
Chesse refresh issues and Frame Overrun Messages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: cheese (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FedoraOnXO
  Show dependency treegraph
 
Reported: 2008-10-22 15:54 EDT by Bryan Kearney
Modified: 2009-12-18 01:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:37:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Bryan Kearney 2008-10-22 15:54:32 EDT
Description of problem:

Launching the xo camera with cheese does not show the camera image. Clicking on another window and then back to the cheese window does show the image. (looks like a refresh issue). The following messages appear in the /var/log/messages file.

These messages are also shown if accessing the camera via the adobe flash plugin (i.e. from facebook)

Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:48:56 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:01 localhost kernel: __ratelimit: 82 callbacks suppressed
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:01 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:06 localhost kernel: __ratelimit: 79 callbacks suppressed
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:06 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:11 localhost kernel: __ratelimit: 79 callbacks suppressed
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 2, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 0, frames lost
Oct 22 16:49:11 localhost kernel: cafe1000-ccic 0000:00:0c.2: Frame overrun on 1, frames lost
Comment 1 Brian Powell 2008-10-30 23:35:48 EDT
I am experiencing the same thing on SNAP3 with photos. 

If you attempt to record video the XO camera light goes out and the camera video screen window goes black, if you click to stop the recording, the camera light comes back on and eventually the camera screen window will display, it does save a video file during the time the camera window is black but it is corrupted and wont play.

I have attempted numerous times to get a backtrace but I am unable to install all of the appropriate debuginfo packages due to space limitations and it doesnt core dump. I do however get the same .xsession-errors as mentioned above.
Comment 2 Hans de Goede 2008-10-31 04:31:13 EDT
I think the XO's CPU just isn't powerfull enough to handle cheese.
Comment 3 CovertCodeOp1 2008-10-31 13:08:29 EDT
To add additional information to Brian Powell's comment: the video file generated has a size of 0 bytes.
Comment 4 Bug Zapper 2008-11-25 23:08:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-11-18 03:37:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 01:37:56 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.